# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:		grilo-plugins
Version:	0.1.15
Release:	4%{?dist}
Summary:	Plugins for the Grilo framework

Group:		Applications/Multimedia
License:	LGPLv2+
Url:		https://live.gnome.org/Grilo
Source0:	http://ftp.gnome.org/pub/GNOME/sources/grilo-plugins/%{release_version}/grilo-plugins-%{version}.tar.bz2

BuildRequires:	grilo-devel >= %{version}
BuildRequires:	gnome-common
BuildRequires:	glib2-devel >= 2.26.0
BuildRequires:	libxml2-devel
BuildRequires:	gupnp-devel >= 0.13.0
BuildRequires:	gupnp-av-devel >= 0.5.0
BuildRequires:	sqlite-devel
BuildRequires:	libgdata-devel
BuildRequires:	tracker-devel >= 0.9.0

Requires:	grilo >= %{version}
Requires:	gupnp >= 0.13.0
Requires:	gupnp-av >= 0.5.0
Requires:	tracker >= 0.9.0


%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains plugins to get information from theses sources:
- Apple Trailers
- Bookmarks
- Filesystem
- Flickr
- Gravatar
- Jamendo
- Last.fm (for album arts)
- Local metadata (album arts and thumbnails)
- Metadata Store
- Podcasts
- Shoutcast
- Tracker
- UPnP
- Vimeo
- Youtube

%prep
%setup -q

%build
%configure				\
	--disable-static		\
	--disable-fakemetadata		\
	--disable-shoutcast		\
	--enable-apple-trailers		\
	--enable-bookmarks		\
	--enable-filesystem		\
	--enable-flickr			\
	--enable-gravatar		\
	--enable-jamendo		\
	--enable-lastfm-albumart	\
	--enable-localmetadata		\
	--enable-metadata-store		\
	--enable-podcasts		\
	--enable-tracker		\
	--enable-upnp			\
	--enable-vimeo			\
	--enable-youtube

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove files that will not be packaged
rm -f $RPM_BUILD_ROOT%{_libdir}/grilo-%{release_version}/*.la
rm -f $RPM_BUILD_ROOT%{_bindir}/*

%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/grilo-%{release_version}/*.so*
%{_datadir}/grilo-%{release_version}/plugins/*.xml

%changelog
* Fri May 20 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-4
- Update with more comments from Kalev Lember <kalev@smartlink.ee>

* Fri May 20 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-3
- Update with comments from Kalev Lember <kalev@smartlink.ee>

* Fri May 20 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-2
- Fix a few rpmlint warnings

* Thu Apr 21 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-1
- Fist package, based on upstream work by Juan A.
  Suarez Romero <jasuarez@igalia.com>

